<template>
  <div id="makeittransition">
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <!-- part-one  -->
      <v-row class="pa-12" align="center" justify="space-between">
        <v-col cols="12" md="7">
          <div
            :class="
              $vuetify.breakpoint.mdAndDown
                ? 'text-center about-description'
                : 'about-description'
            "
          >
            <h1>{{ $t('aboutUs') }}</h1>
            <h3>{{ $t('welcomeMessage2') }}</h3>
            <p>
              {{ $t('welcomeDescription') }}
            </p>
          </div>
        </v-col>
        <v-col cols="12" md="5">
          <div>
            <v-img
              :src="require('../../assets/images/about/init-bg.svg')"
              :srcset="require('../../assets/images/about/init-bg.svg')"
              :lazy-src="require('../../assets/images/about/init-bg.svg')"
              contain
            ></v-img>
          </div>
        </v-col>
      </v-row>
    </v-container>

    <!-- part-two -->
    <AboutTimeline />

    <!-- part-three -->
    <AboutMember />
    <!-- part-four  -->
    <div class="ma-12 pa-12 text-center">
      <h3 class="hire-text pb-6">
        {{ $t('aasaamjob.title') }}
      </h3>
      <v-row align="center" justify="space-between">
        <v-col cols="12" md="4" class="d-none d-sm-flex">
          <v-img
            class="text-center mx-auto"
            max-width="220"
            :src="require('../../assets/images/about/meg1.svg')"
            :srcset="require('../../assets/images/about/meg1.svg')"
            :lazy-src="require('../../assets/images/about/meg1.svg')"
          ></v-img>
        </v-col>
        <v-col cols="12" md="4">
          <div class="mt-12 pt-12 text-center mx-auto">
            <v-btn nuxt link :to="localePath('/jobs')" x-large color="success" dark>
              {{ $t('aasaamjob.join') }}
            </v-btn>
          </div>
        </v-col>
        <v-col cols="12" md="4" class="d-none d-sm-flex">
          <v-img
            class="text-center mx-auto"
            max-width="220"
            :src="require('../../assets/images/about/meg2.svg')"
            :srcset="require('../../assets/images/about/meg2.svg')"
            :lazy-src="require('../../assets/images/about/meg2.svg')"
          ></v-img>
        </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: `${this.$t('aboutUs')} | ${this.$t('head.title')}`,
    };
  },
};
</script>
